---
title: SEND Payment Receipt
slug: send-payment-receipt
icon: 🟩
createdAt: 2022-03-23T02:29:43.000Z
---

This API is very similar to "Send Payment Link" and will allow you to send the payment receipt link to your patient. The link can be sent via SMS and/or Email. This link will take them to a white-listed version of FeatherPay to view their receipt for a given Invoice.

**NOTE: The Invoice must have a payment already made in order for them to see the receipt.  Otherwise, this will simply take them to the Payment page (ala SEND Payment Link).**

For HIPAA purposes, the content of either the SMS or the Email will NOT include the receipt details.  Instead it will include a link for the patient to view their receipt details.

From your backend code, send the patient an email with their invoice receipt link using your API key and Order ID.  This will send to the email identified by `customerEmail` and/or via SMS identified by `billingAddress.telephone` on the order. &#x20;

You can choose to send the link for a basic receipt or for an itemized receipt.  The itemized receipt will show each individual line item and the associated costs, whereas the non-itemized receipt will only show the high-level details of the invoice.  The only distinction between the 2 API calls is the endpoint you will hit. &#x20;

:::ApiMethodV2
```json
{
  "tab": "examples",
  "url": "https://test-api.featherpay.io/api/v1/notifications/{orderId}/send-pay-receipt-itemized",
  "name": "Send Payment Receipt (Itemized)",
  "method": "POST",
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [
      {
        "kind": "optional",
        "name": "types",
        "type": "Array",
        "description": "Can be “email” and/or “sms”. Default is “email”"
      }
    ],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "7LGWLdeETkW1P1bC0LImq",
        "code": "{\"message\":\"Email was sent successfully\"}",
        "language": "200",
        "customLabel": ""
      },
      {
        "id": "-JeQQe1oo9AOtl1sM-eFP",
        "code": "{\n    \"subErrors\":[],\n    \"status\":\"BAD_REQUEST\",\n    \"message\":\"Id: 017fb8be-ce71-437a-8a3d-7f19f74f6d41 does not match a saved store\"\n}\n",
        "language": "400",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "7LGWLdeETkW1P1bC0LImq"
  },
  "examples": {
    "languages": [
      {
        "id": "dipS18NvCqGwgC-FKSC2y",
        "code": "curl -X POST \\\n  --url 'https://test-api.featherpay.io/api/v1/notifications/order/:orderId/send-pay-receipt-itemized' \\\n  --header 'content-type: application/json;charset=UTF-8' \\\n  --header 'accept: application/json' \\\n  --header 'X-Api-Key: {Secret API Key}' \\\n  --header 'X-Store-Id: {Store ULID}' \\\n  --data '{\n    \"types\": [\"email\"] //Can be “email” and/or “sms”. Default is “email”\n  }'",
        "language": "curl",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "dipS18NvCqGwgC-FKSC2y"
  },
  "description": "Send Payment Receipt (Itemized) via Email or SMS",
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  }
}
```
:::

:::ApiMethodV2
```json
{
  "tab": "examples",
  "url": "https://test-api.featherpay.io/api/v1/notifications/{orderId}/send-pay-receipt",
  "name": "Send Payment Receipt (Non-Itemized)",
  "method": "POST",
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [
      {
        "kind": "optional",
        "name": "types",
        "type": "Array",
        "description": "Can be “email” and/or “sms”. Default is “email”"
      }
    ],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "7LGWLdeETkW1P1bC0LImq",
        "code": "{\"message\":\"Email was sent successfully\"}",
        "language": "200",
        "customLabel": ""
      },
      {
        "id": "-JeQQe1oo9AOtl1sM-eFP",
        "code": "{\n    \"subErrors\":[],\n    \"status\":\"BAD_REQUEST\",\n    \"message\":\"Id: 017fb8be-ce71-437a-8a3d-7f19f74f6d41 does not match a saved store\"\n}\n",
        "language": "400",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "7LGWLdeETkW1P1bC0LImq"
  },
  "examples": {
    "languages": [
      {
        "id": "dipS18NvCqGwgC-FKSC2y",
        "code": "curl -X POST \\\n  --url 'https://test-api.featherpay.io/api/v1/notifications/order/:orderId/send-pay-receipt' \\\n  --header 'content-type: application/json;charset=UTF-8' \\\n  --header 'accept: application/json' \\\n  --header 'X-Api-Key: {Secret API Key}' \\\n  --header 'X-Store-Id: {Store ULID}' \\\n  --data '{\n    \"types\": [\"email\"] //Can be “email” and/or “sms”. Default is “email”\n  }'",
        "language": "curl",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "dipS18NvCqGwgC-FKSC2y"
  },
  "description": "Send Payment Receipt (Non-Itemized) via Email or SMS",
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  }
}
```
:::








